<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>cn.ey.biz</groupId>
        <artifactId>biz-module-system</artifactId>
        <version>${revision}</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    <artifactId>biz-module-system-srv</artifactId>
    <packaging>jar</packaging>
    <name>${project.artifactId}</name>
    <description>
        系统模块服务
    </description>

    <properties>
        <spring.boot.version>2.7.8</spring.boot.version>
    </properties>

    <dependencies>
        <!-- Spring Cloud 基础 -->
        <dependency>
            <groupId>org.springframework.cloud</groupId>
            <artifactId>spring-cloud-starter-bootstrap</artifactId>
        </dependency>

        <dependency>
            <groupId>cn.ey.biz</groupId>
            <artifactId>biz-spring-boot-starter-env</artifactId>
        </dependency>

        <!-- 依赖服务 -->
        <dependency>
            <groupId>cn.ey.biz</groupId>
            <artifactId>biz-module-system-api</artifactId>
            <version>${revision}</version>
        </dependency>
        <dependency>
            <groupId>cn.ey.biz</groupId>
            <artifactId>biz-module-weaver-api</artifactId>
            <version>${revision}</version>
        </dependency>

        <!-- 业务组件 -->
        <dependency>
            <groupId>cn.ey.biz</groupId>
            <artifactId>biz-spring-boot-starter-banner</artifactId>
        </dependency>

        <dependency>
            <groupId>cn.ey.biz</groupId>
            <artifactId>biz-spring-boot-starter-properties</artifactId>
        </dependency>

        <dependency>
            <groupId>cn.ey.biz</groupId>
            <artifactId>biz-spring-boot-starter-operatelog</artifactId>
        </dependency>
        <dependency>
            <groupId>cn.ey.biz</groupId>
            <artifactId>biz-spring-boot-starter-sms</artifactId>
        </dependency>
        <dependency>
            <groupId>cn.ey.biz</groupId>
            <artifactId>biz-spring-boot-starter-protection</artifactId>
        </dependency>
        <dependency>
            <groupId>cn.ey.biz</groupId>
            <artifactId>biz-spring-boot-starter-dict</artifactId>
        </dependency>
        <dependency>
            <groupId>cn.ey.biz</groupId>
            <artifactId>biz-spring-boot-starter-config</artifactId>
        </dependency>
        <dependency>
            <groupId>cn.ey.biz</groupId>
            <artifactId>biz-spring-boot-starter-i18n</artifactId>
        </dependency>
        <dependency>
            <groupId>cn.ey.biz</groupId>
            <artifactId>biz-spring-boot-starter-data-permission</artifactId>
        </dependency>
        <dependency>
            <groupId>cn.ey.biz</groupId>
            <artifactId>biz-spring-boot-starter-social</artifactId>
        </dependency>
        <dependency>
            <groupId>cn.ey.biz</groupId>
            <artifactId>biz-spring-boot-starter-tenant</artifactId>
            <exclusions>
                <exclusion>
                    <groupId>cn.ey.biz</groupId>
                    <artifactId>biz-spring-boot-starter-job</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>cn.ey.biz</groupId>
            <artifactId>biz-spring-boot-starter-mq</artifactId>
            <exclusions>
                <exclusion>
                    <groupId>org.springframework.cloud</groupId>
                    <artifactId>spring-cloud-starter-bus-amqp</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>cn.ey.biz</groupId>
            <artifactId>biz-spring-boot-starter-error-code</artifactId>
        </dependency>

        <!-- Web 相关 -->
        <dependency>
            <groupId>cn.ey.biz</groupId>
            <artifactId>biz-spring-boot-starter-security</artifactId>
        </dependency>

        <!-- DB 相关 -->
        <dependency>
            <groupId>cn.ey.biz</groupId>
            <artifactId>biz-spring-boot-starter-mybatis</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-data-elasticsearch</artifactId>
            <exclusions>
                <exclusion>
                    <groupId>org.elasticsearch</groupId>
                    <artifactId>elasticsearch</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>org.elasticsearch</groupId>
            <artifactId>elasticsearch</artifactId>
            <version>7.17.9</version>
        </dependency>

        <dependency>
            <groupId>cn.ey.biz</groupId>
            <artifactId>biz-spring-boot-starter-redis</artifactId>
        </dependency>

        <!-- RPC 远程调用相关 -->
        <dependency>
            <groupId>cn.ey.biz</groupId>
            <artifactId>biz-spring-boot-starter-rpc</artifactId>
        </dependency>

        <!-- Registry 注册中心相关 -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-discovery</artifactId>
        </dependency>

        <!-- Config 配置中心相关 -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-config</artifactId>
        </dependency>

        <!-- Test 测试相关 -->
        <dependency>
            <groupId>cn.ey.biz</groupId>
            <artifactId>biz-spring-boot-starter-test</artifactId>
            <scope>test</scope>
        </dependency>

        <!-- 工具类相关 -->
        <dependency>
            <groupId>cn.ey.biz</groupId>
            <artifactId>biz-spring-boot-starter-excel</artifactId>
        </dependency>

        <dependency>
            <groupId>cn.ey.biz</groupId>
            <artifactId>biz-spring-boot-starter-captcha</artifactId>
        </dependency>
        <!-- 三方云服务相关 -->
        <dependency>
            <groupId>cn.ey.biz</groupId>
            <artifactId>biz-spring-boot-starter-file</artifactId>
        </dependency>
        <!-- 监控相关 -->
        <dependency>
            <groupId>cn.ey.biz</groupId>
            <artifactId>biz-spring-boot-starter-monitor</artifactId>
        </dependency>

        <dependency>
            <groupId>cn.ey.biz</groupId>
            <artifactId>biz-spring-boot-starter-third-auth</artifactId>
        </dependency>

        <dependency>
            <groupId>cn.ey.biz</groupId>
            <artifactId>biz-script</artifactId>
        </dependency>

        <dependency>
            <groupId>io.jsonwebtoken</groupId>
            <artifactId>jjwt</artifactId>
        </dependency>

        <dependency>
            <groupId>com.alibaba.nacos</groupId>
            <artifactId>nacos-client</artifactId>
        </dependency>

        <dependency>
            <groupId>cn.ey.biz</groupId>
            <artifactId>biz-spring-boot-starter-properties</artifactId>
        </dependency>

        <dependency>
            <groupId>org.apache.tika</groupId>
            <artifactId>tika-core</artifactId>
            <version>1.24.1</version>
        </dependency>

    </dependencies>

    <build>
        <!-- 设置构建的 jar 包名 -->
        <finalName>${project.artifactId}</finalName>
        <resources>
            <resource>
                <directory>src/main/resources</directory>
                <filtering>true</filtering>
            </resource>
            <resource>
                <directory>src/main/java</directory>
                <includes>
                    <include>**/*.xml</include>
                </includes>
                <filtering>true</filtering>
            </resource>
        </resources>
        <plugins>
            <!-- 打包 -->
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <version>${spring.boot.version}</version> <!-- 如果 spring.boot.version 版本修改，则这里也要跟着修改 -->
                <configuration>
                    <fork>true</fork>
                </configuration>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal> <!-- 将引入的 jar 打入其中 -->
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>
</project>
